Katello - Feature #5502

As a user, I'd like not to see or have access to the legacy roles/permissions from Katello.
04/29/2014 09:53 PM - Eric Helms

Status: Closed
Priority: Normal
Assignee: Eric Helms
Category:
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1112799 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/432
9
Description

Related issues:
Related to Katello - Bug #5979: remove katello roles and permissions routes a... Duplicate 05/28/2014

Associated revisions

Revision 253122a9 - 05/21/2014 12:27 PM - Eric Helms

Refs #5502: Remove Content Roles access from Ul.

Revision 52313697 - 05/21/2014 08:52 PM - Eric Helms
Merge pull request #4129 from ehelms/refs-5502

Refs #5502: Remove Content Roles access from UL.

Revision c4b6d2cb - 07/09/2014 07:33 PM - Eric Helms

Fixes #5502: Removes old Katello authorization system.

After migrating completely to the Foreman authorization system,

the Katello database tables, Ul and other artifacts are no longer
needed.

Revision fac6ea25 - 07/10/2014 08:14 AM - Eric Helms
Merge pull request #4329 from ehelms/fixes-5502

Fixes #5502: Removes old Katello authorization system.

History

#1 - 05/28/2014 04:58 PM - Eric Helms
- Status changed from New to Assigned
- Assignee set to Eric Helms

- Target version changed from 44 to 45

- Triaged changed from No to Yes

#2 - 06/16/2014 12:19 PM - Eric Helms

- Target version changed from 45 to 48

#3 - 06/24/2014 12:56 PM - Eric Helms

- Related to Bug #5979: remove katello roles and permissions routes and apipie added

#4 - 06/24/2014 07:23 PM - Eric Helms
- Status changed from Assigned to Ready For Testing

#5 - 06/28/2014 03:40 AM - Eric Helms

- translation missing: en.field_release set to 13

#6 - 07/07/2014 07:10 AM - Eric Helms

- Target version changed from 48 to 49

#7 - 07/08/2014 11:13 PM - Eric Helms
- Status changed from Ready For Testing to Assigned

#8 - 07/08/2014 11:19 PM - Eric Helms
- Status changed from Assigned to Ready For Testing

#9 - 07/08/2014 11:26 PM - Eric Helms
- Status changed from Ready For Testing to Assigned

#10 - 07/08/2014 11:30 PM - Eric Helms
- Status changed from Assigned to Ready For Testing

#11 - 07/09/2014 03:40 PM - Eric Helms
- Status changed from Ready For Testing to Assigned

#12 - 07/09/2014 03:46 PM - Eric Helms
- Status changed from Assigned to Ready For Testing

#13 - 07/10/2014 08:39 AM - Eric Helms
- Pull request https://github.com/Katello/katello/pull/4329 added

#14 - 07/10/2014 09:01 AM - Eric Helms
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|c4b6d2cb1c7e8c9bbfc90018d31ff4cd52c6d67a.

#15 - 07/28/2014 02:23 PM - Eric Helms
- Bugzilla link set to 1123967

#16 - 07/30/2014 10:22 AM - Eric Helms
- Bugzilla link changed from 1123967 to 1112799
https://projects.theforeman.org/projects/katello/repository/katello/revisions/c4b6d2cb1c7e8c9bbfc90018d31ff4cd52c6d67a
